using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Utility;

namespace EQNetwork.Interfaces
{
    public partial interface IMiscService
    {
        void Activity_Create(string activity, string secondary);
        List<ContentMenu> ContentMenu_List(ref DateTime? modifiedSince);
        List<Hashtag> Hashtag_Search(string search, PagingParameters pagingParameters);
        List<Hashtag> Hashtag_Trending(PagingParameters pagingParameters);
        List<Category> Category_ListAll();
    }
}
